<template>
  <v-container fluid pa-0 class="bg-sectionfour">
    <v-row>
      <v-col cols="12" sm="6" class="section-four-bicycle">
        <v-img src="/images/Bicycle-PNG-Image 2.png" contain height="423" />
      </v-col>

      <v-col cols="12" sm="6" class="section-four-contact-us">
        <h2 class="contact-us">ติดต่อเรา</h2>

        <v-form fast-fail @submit.prevent>
          <v-row>
            <v-col cols="12" sm="6" md="8">
              <v-text-field
                label="ชื่อ - นามสกุล"
                variant="underlined"
              ></v-text-field>

              <v-text-field
                label="เบอร์ติดต่อ"
                variant="underlined"
              ></v-text-field>

              <v-text-field label="อีเมล" variant="underlined"></v-text-field>

              <v-menu
                ref="menu1"
                v-model="menu1"
                :close-on-content-click="false"
                transition="scale-transition"
                offset-y
                max-width="290px"
                min-width="auto"
              >
                <template v-slot:activator="{ on, attrs }">
                  <v-text-field
                    v-model="dateFormatted"
                    label="วันที่"
                    persistent-hint
                    v-bind="attrs"
                    @blur="date = parseDate(dateFormatted)"
                    append-icon="fas fa-calendar-days"
                    v-on="on"
                  ></v-text-field>
                </template>
                <v-date-picker
                  v-model="date"
                  no-title
                  @input="menu1 = false"
                ></v-date-picker>
              </v-menu>
            </v-col>
            <v-col cols="12" sm="6" md="8">
              Lorem Ipsum is simply dummy text Lorem Ipsum is simply dummy te
            </v-col>
          </v-row>
          <v-row>
            <v-col cols="12" sm="6" md="4">
              <v-btn type="submit" block class="submit-contact">LOREM</v-btn>
            </v-col>
          </v-row>
        </v-form>
      </v-col>
    </v-row>
  </v-container>
</template>
<script>
export default {
  name: "SectionFour",
  data: (vm) => ({
    date: new Date(Date.now() - new Date().getTimezoneOffset() * 60000)
      .toISOString()
      .substr(0, 10),
    dateFormatted: vm.formatDate(
      new Date(Date.now() - new Date().getTimezoneOffset() * 60000)
        .toISOString()
        .substr(0, 10)
    ),
    menu1: false,
  }),

  computed: {
    computedDateFormatted() {
      return this.formatDate(this.date);
    },
  },

  watch: {
    date() {
      this.dateFormatted = this.formatDate(this.date);
    },
  },

  methods: {
    formatDate(date) {
      if (!date) return null;

      const [year, month, day] = date.split("-");
      return `${month}/${day}/${year}`;
    },
    parseDate(date) {
      if (!date) return null;

      const [month, day, year] = date.split("/");
      return `${year}-${month.padStart(2, "0")}-${day.padStart(2, "0")}`;
    },
  },
};
</script>
<style scoped>
.bg-sectionfour {
  height: 1003px;
  color: #ffffff;
  background: linear-gradient(180deg, #333333 0%, #000000 0.01%);
  position: relative;
}
.section-four-bicycle {
  margin-top: 260px;
}
.section-four-contact-us {
  margin-top: 201px;
  font-family: "Montserrat";
}
.contact-us {
  font-family: "Montserrat";
  font-weight: 600;
  font-size: 60px;
  line-height: 73px;
  text-transform: capitalize;
  margin-bottom: 51px;
}
.submit-contact {
  height: 56px !important;
  font-size: 20px;
  color: #000000;
  background: linear-gradient(180deg, #dee34b 0%, #d9ef0c 35.94%, #87a30d 100%);
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.35);
  border-radius: 50px;
}
.v-text-field__slot input {
  color: rgb(255, 252, 252) !important;
}
</style>
